import { CdkConnectedOverlay, ConnectedOverlayPositionChange, ConnectedPosition, VerticalConnectionPos } from '@angular/cdk/overlay';
import { ElementRef, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { AppendToBodyDirection } from 'ng-devui/utils';
import { DropDownDirective } from './dropdown.directive';
import * as i0 from "@angular/core";
export declare class DropDownAppendToBodyComponent implements OnInit, OnChanges {
    dropDown: DropDownDirective;
    menuPosition: VerticalConnectionPos;
    positions: any;
    origin: any;
    dropDownWrapper: ElementRef;
    overlay: CdkConnectedOverlay;
    alignOrigin: ElementRef<any>;
    appendToBodyDirections: Array<AppendToBodyDirection | ConnectedPosition>;
    constructor(dropDown: DropDownDirective);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    setOrigin(): void;
    setPositions(): void;
    reposition(): void;
    onPositionChange(position: ConnectedOverlayPositionChange): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DropDownAppendToBodyComponent, [{ host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DropDownAppendToBodyComponent, "[dDropDown][appendToBody]", never, { "alignOrigin": "alignOrigin"; "appendToBodyDirections": "appendToBodyDirections"; }, {}, never, ["*", "[dDropDownMenu]"], false>;
}
